Last modified: 2014-08-31 00:41:31 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 63549 - (typography-refresh) Vector Typography Refresh (tracking)
(typography-refresh)
Vector Typography Refresh (tracking)
Status: NEW
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Nobody - You can work on this!
: tracking
Depends on: 24402 54604 61470 63408 63776 63817 63827 63843 63844 63845 64653 65160 49965 57286 62073 63312 63351 63390 63394 63512 63662 63686 63718 63720 63731 63807 63887 63942 63985 64124
Blocks: tracking 44881
  Show dependency treegraph
 
Reported: 2014-04-04 20:36 UTC by Samuel Bronson
Modified: 2014-08-31 00:41 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Samuel Bronson 2014-04-04 20:36:29 UTC
Tracking bug for issues related to the [[mw:Typography Refresh]] / Ic5ba836364d04b2c3814777b69b5f47fce25292a .
Comment 1 Steven Walling 2014-04-10 23:02:51 UTC
Removed bug 260 as a dependency since we removed that from the specification and code in https://gerrit.wikimedia.org/r/#/c/121419/
Comment 2 Nemo 2014-04-11 08:03:25 UTC
For things like bug 63720 comment 10, we need reliable information or we can't assess bug status. We clearly don't have internal resources to assess whether, for instance, HP copies of Helvetica are installed by thousands, millions or hundreds millions users: does someone have ideas on what external resources would be available for such assessments?
Comment 3 Steven Walling 2014-04-11 08:11:27 UTC
Nemo: why did you add a Liberation Sans bug to the see also? Liberation Sans is no longer specified in the font-family styles and users on Linux systems are getting Nimbus Sans now.
Comment 4 Nemo 2014-04-11 08:17:06 UTC
Because it was reported in relation to [[mw:Talk:Typography refresh]].
I can link it in comments: https://bugzilla.redhat.com/show_bug.cgi?id=1084493
Comment 5 Bartosz Dziewoński 2014-04-11 18:41:26 UTC
I have merged the Gerrit change (https://gerrit.wikimedia.org/r/#/c/124475/),
restoring the body font to "sans-serif". The heading font is unchanged for now.

I've read the entire wikitech-l thread (89 emails as of writing) and
pondered this carefully. My summary of the situation is:

* This font stack, according to WMF Design, only provides real
  improvements for Macs (~6% of Wikimedia sites visitors per
  http://stats.wikimedia.org/wikimedia/squids/SquidReportOperatingSystems.htm)
  and should be (nearly) identical to defaults for other systems.
  However, it causes major rendering issues for an unspecified number
  of Windows and Linux users (especially with, respectively, Helvetica
  and Nimbus Sans L; see both open and closed dependencies of bug
  63549).
* This font stack also apparently causes issues with non-Latin-script
  languages (not very well-specified ones, though; more bug reports
  like bug 63817 would be welcome); it's serious enough for at least
  one affected Wikimedia wiki (the Japanese Wikipedia) to have already
  reset the stack to "sans-serif". This might affect the serif heading
  fonts more than the sans-serif body fonts (again, more precise
  reports needed).
* The wikitech-l discussion, as well as various on-wiki discussions
  (e.g. on WP:VPT on the English Wikipedia) have been overwhelmingly
  in favor of restoring the plain "sans-serif" font definition.
* Orthogonally to these issues, all other aspects of the typography
  refresh have been generally considered successful and minor problems
  with them have been quickly fixed.

Based on the points above and my own common sense I think this should
be merged, and a similar follow-up for serif heading fonts might also
be necessary (but that's obviously a lower-severity problem, there
isn't that much text in headings). Steven, I'm sorry, but I'm
overriding your -2.

(I'm posting this on the Gerrit change
<https://gerrit.wikimedia.org/r/#/c/124475/>, on the tracking bug
<https://bugzilla.wikimedia.org/show_bug.cgi?id=63549> and in the
wikitech-l thread. Please reply on wikitech-l.)
Comment 6 Samuel Bronson 2014-04-11 19:14:48 UTC
(In reply to Bartosz Dziewoński from comment #5)
> (I'm posting this on the Gerrit change
> <https://gerrit.wikimedia.org/r/#/c/124475/>, on the tracking bug
> <https://bugzilla.wikimedia.org/show_bug.cgi?id=63549> and in the
> wikitech-l thread. Please reply on wikitech-l.)

What, no link to the thread?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links